Skip to Content
kosemdocs
ReferenceAPIEntitlements

List entitlements in project

Lists what a project's organization gets of kosem's features.

GET
/v1/projects/{project}/entitlements

Lists what a project's organization gets of kosem's features.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

pageSize?integer

Maximum number of entitlements to return. Defaults to 50; values above 500 are treated as 500.

Formatint32
Range0 <= value
pageToken?string

Page token from a previous response.

Response Body

OK

application/json
  1. response
entitlements*array<>

Entitlements, ordered by their features' IDs.

nextPageToken*string

Token for the next page; empty on the last page.

Example Request
curl -X GET 'https://api.kosem.ai/v1/projects/string/entitlements'
Example Response
{
  "entitlements": [
    {
      "acrossPlans": true,
      "adjustment": "FIXED",
      "displayName": "string",
      "enabled": true,
      "feature": "string",
      "name": "string",
      "overridden": true,
      "planValue": 0,
      "requiredPlan": "PRO",
      "type": "BOOLEAN",
      "unit": "string",
      "unlimitedZero": true,
      "value": 0
    }
  ],
  "nextPageToken": "string"
}